Overview
PATCH/project/work-items/{id}project

Update a work item (+ a work_item.status_changed | .assigned | .updated activity)

Update fields of a record in work-items by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • titleoptionalstring
  • descriptionoptionalstring
  • statusIdoptionalstring
  • assigneeKindoptional"customer" | "persona" | "team"

    null clears the assignee (with assigneeId)

  • assigneeIdoptionalstring?
  • priorityoptionalinteger
  • startDateoptionalstring?
  • dueDateoptionalstring?
  • labelsoptionalstring[]
  • parentIdoptionalstring?

    null detaches the parent

Example
{
  "title": "string",
  "description": "string",
  "statusId": "string",
  "assigneeKind": "customer",
  "assigneeId": "string",
  "priority": 0,
  "startDate": "string",
  "dueDate": "string",
  "labels": [
    "string"
  ],
  "parentId": "string"
}
Responses
200

Work item

  • idstring
  • ecosystemIdstring
  • projectIdstring
  • titlestring
  • descriptionstring
  • statusIdstring

    the board column this card sits in

  • assigneeKindoptional"customer" | "persona" | "team"
  • assigneeIdoptionalstring?
  • priorityinteger
  • startDateoptionalstring?

    date (YYYY-MM-DD)

  • dueDateoptionalstring?

    date (YYYY-MM-DD)

  • labelsstring[]
  • parentIdoptionalstring?

    a parent work item in the same project

  • positioninteger

    board order within the project (ascending)

  • createdByoptionalstring?
  • createdAtstring
  • updatedAtstring
  • isDeletedboolean
  • deletedAtoptionalstring?
Example
{
  "id": "string",
  "ecosystemId": "string",
  "projectId": "string",
  "title": "string",
  "description": "string",
  "statusId": "string",
  "assigneeKind": "customer",
  "assigneeId": "string",
  "priority": 0,
  "startDate": "string",
  "dueDate": "string",
  "labels": [
    "string"
  ],
  "parentId": "string",
  "position": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "isDeleted": true,
  "deletedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/project/work-items/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "description": "string",
  "statusId": "string",
  "assigneeKind": "customer",
  "assigneeId": "string",
  "priority": 0,
  "startDate": "string",
  "dueDate": "string",
  "labels": [
    "string"
  ],
  "parentId": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/work-items/{id}", {
  method: "PATCH",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"title\": \"string\",\n  \"description\": \"string\",\n  \"statusId\": \"string\",\n  \"assigneeKind\": \"customer\",\n  \"assigneeId\": \"string\",\n  \"priority\": 0,\n  \"startDate\": \"string\",\n  \"dueDate\": \"string\",\n  \"labels\": [\n    \"string\"\n  ],\n  \"parentId\": \"string\"\n}",
});
const data = await res.json();